Subject: [bug#74633] [PATCH v3] ui: Search channels for guix extensions

From: Brian Kubisiak <[email-masked]>
Date: Mon, 13 Jan 2025 15:53:25 -0800

> Overall it LGTM.  I propose the mostly-cosmetic changes below.

LGTM

> Once thing I overlooked before is that commands will have to live under
> /guix/extensions, right?
>
>   (define (commands)
>     "Return the list of commands, alphabetically sorted."
>     (filter-map source-file-command
>                 (append (command-files)
>                         (append-map command-files
>                                     (extension-directories)))))
>
> And likewise in ‘run-guix-command’.
>
> But now, if a channel provides ‘guix/scripts/foo.scm’, the ‘guix help’
> command will not show ‘foo’ but the ‘guix foo’ command will effectively
> work (which wasn’t the case until now).
>
> Maybe it’s fine actually, I don’t know, but I thought this is worth
> mentioning and thinking though.

My intention was to use /guix/extensions since it's the same directory
structure as existing extensions. I don't have a strong preference
here, though I think Carlo intended to support /guix/scripts in
#74425. Maybe it's a good idea to support both?

Brian